<?php
class VpnRouteManager extends ManagerParent { 
public $x_232 = ''; 
protected $x_233 = array( 
'get' => array( 
'routes' => 'out', 
'totalItems' => 'out', 
'query' => 'array' 
), 
'create' => array( 
'result' => 'out', 
'routes' => 'array', 
), 
'set' => array( 
'result' => 'out', 
'ids' => 'array', 
'details' => 'array', 
), 
'remove' => array( 
'result' => 'out', 
'routeIds' => 'array' 
), 
'apply' => array( 
'result' => 'out', 
), 
'reset' => array( 
), 
'createSnapshot' => array( 
), 
'applySnapshot' => array( 
), 
'discardSnapshot' => array( 
), 
); 
protected $x_235 = 'webadmin::VpnRouteManager'; 
public function get(&$x_28b, &$x_23z, $x_248) { 
$x_235 = kerio($this->x_235); 
if ($x_235) { 
return $x_235->get(&$x_28b, &$x_23z, $x_248); 
} 
return false; 
} 
public function create(&$x_232, $x_28b) { 
$x_235 = kerio($this->x_235); 
if ($x_235) { 
return $x_235->create(&$x_232, $x_28b); 
} 
return false; 
} 
public function set(&$x_232, $x_23p, $x_243) { 
$x_235 = kerio($this->x_235); 
if ($x_235) { 
return $x_235->set(&$x_232, $x_23p, $x_243); 
} 
return false; 
} 
public function remove(&$x_232, $x_28c) { 
$x_235 = kerio($this->x_235); 
if ($x_235) { 
return $x_235->remove(&$x_232, $x_28c); 
} 
return false; 
} 
public function apply(&$x_232) { 
$x_235 = kerio($this->x_235); 
if ($x_235) { 
return $x_235->apply(&$x_232); 
} 
return false; 
} 
public function reset() { 
$x_235 = kerio($this->x_235); 
if ($x_235) { 
return $x_235->reset(); 
} 
return false; 
} 
public function createSnapshot() { 
$x_235 = kerio($this->x_235); 
if ($x_235) { 
return $x_235->createSnapshot(); 
} 
return false; 
} 
public function applySnapshot() { 
$x_235 = kerio($this->x_235); 
if ($x_235) { 
return $x_235->applySnapshot(); 
} 
return false; 
} 
public function discardSnapshot() { 
$x_235 = kerio($this->x_235); 
if ($x_235) { 
return $x_235->discardSnapshot(); 
} 
return false; 
} 
}; 
?>
